/*********************************************************************
 * 7SEG Library for Arduino
 *
 * Copyright (C) 2015 Yaasan
 */

#ifndef SSEGLIB_H
#define SSEGLIB_H

#include <arduino.h>
#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>

#define SSEG_0 0
#define SSEG_1 1
#define SSEG_2 2
#define SSEG_3 3
#define SSEG_4 4
#define SSEG_5 5
#define SSEG_6 6
#define SSEG_7 7
#define SSEG_8 8
#define SSEG_9 9
#define SSEG_NONE 10
#define SSEG_MINUS 11
#define SSEG_A 12
#define SSEG_B 13
#define SSEG_C 14
#define SSEG_D 15
#define SSEG_E 16
#define SSEG_F 17
#define SSEG_G 18
#define SSEG_H 19
#define SSEG_I 20
#define SSEG_J 21
#define SSEG_K 22
#define SSEG_L 23
#define SSEG_M 24
#define SSEG_N 25
#define SSEG_O 26
#define SSEG_P 27
#define SSEG_Q 28
#define SSEG_R 29
#define SSEG_S 30
#define SSEG_T 31
#define SSEG_U 32
#define SSEG_V 33
#define SSEG_W 34
#define SSEG_X 35
#define SSEG_Y 36
#define SSEG_Z 37
#define SSEG_DIV 38



class SSEG
{
	private:

	word number_displayed;
	byte current_digit;

	public:

	SSEG(void);
	void SetInit();
	void DisplayClear();
	void Display(int inWord);
	void ChangeDigit(int inDigit);
	void ShowNumber();
	void SetNumber(word inNumber);
	
};

#endif
